Merge remote-tracking branch 'cgal/master' into List-third-party-libraries-GF

This commit is contained in:
Laurent Rineau
2024-09-20 09:29:21 +02:00
808 changed files with 5604 additions and 2407 deletions
+1 -1
View File
@@ -9,7 +9,7 @@
# * or alternatively curl
#
# Furthermore you have to edit .autocgalrc in order to
# cutomize it for your environment.
# customize it for your environment.
# In particular you have to change the BUILHOSTS
# variable to contain the names of your hosts and
# set the COMPILERS_<hostname> variables to the
@@ -26,9 +26,8 @@ creationpath = args.creationpath
doxystring = \
r"""@INCLUDE = ${CGAL_DOC_PACKAGE_DEFAULTS}
PROJECT_NAME = "CGAL ${CGAL_DOC_VERSION} - Put title of project here"
INPUT = ${CMAKE_SOURCE_DIR}/PACKAGENAME/doc/PACKAGENAME/ \
${CMAKE_SOURCE_DIR}/PACKAGENAME/include
"""
descrstring = \
@@ -10,7 +10,7 @@
# GPL_PACKAGE_LIST=path to a file containing the list of GPL packages to include in the release. If not provided all of them are.
# GENERATE_TARBALLS=[ON/OFF] indicates if release tarballs should be created as DESTINATION
cmake_minimum_required(VERSION 3.1...3.23)
cmake_minimum_required(VERSION 3.12...3.29)
find_program(BASH NAMES bash sh)
function(process_package pkg)
if(VERBOSE)
@@ -323,6 +323,9 @@ if [ -n "$DO_PUBLIC" ]; then
zip -q -r ${public_release_name}-library.zip ${public_release_name}
mv ${public_release_name}*.tar.xz "${HTML_DIR}/${release_name}-public/"
mv ${public_release_name}*.zip "${HTML_DIR}/${release_name}-public/"
if command -v sestatus >/dev/null 2>&1; then
sestatus && restorecon -R "${HTML_DIR}/${release_name}-public"
fi
rm -f "$HTML_DIR/CGAL-last-public"
ln -s "${release_name}-public" "$HTML_DIR/CGAL-last-public"
fi
@@ -6,13 +6,21 @@ cd /home/cgal-testsuite
# Rotate log files on one month: the logfile name contains the number of
# the day
LOGFILE=$PWD/doxygen_testsuite-`date '+%d'`.log
LOGFILE=$PWD/doxygen_testsuite-$(date '+%d').log
exec > "$LOGFILE"
# Display commands as if using `set -o xtrace`, but to the stdout
trap 'echo "[$BASH_SOURCE:$LINENO] $BASH_COMMAND" >&1' DEBUG
# Report errxit errors on cerr (&2)
report_errexit() {
echo "errexit on line $(caller)" >&1
echo "errexit on line $(caller)" >&2
}
trap report_errexit ERR
# A helper error function that outputs both to stderr and stdout before
# aborting the script.
function error() {
@@ -31,8 +39,8 @@ if [ -r "${CGAL_DOC_BUILD}" ]; then
rm -rf "${CGAL_DOC_BUILD}"
fi
mkdir ${CGAL_DOC_BUILD}
cd ${CGAL_DOC_BUILD}
mkdir "${CGAL_DOC_BUILD}"
cd "${CGAL_DOC_BUILD}"
if [ -r "LATEST" ]; then
rm -rf LATEST
@@ -44,12 +52,12 @@ if [ ! -f "LATEST" ]; then
error "COULD NOT DOWNLOAD LATEST!"
fi
for i in `cat LATEST`
for i in $(cat LATEST)
do
CGAL_LOCATION="${CGAL_URL}/${i}";
CGAL_ZIPFILE="${i}";
done
CGAL_RELEASE_ID=`echo $CGAL_ZIPFILE | sed "s/.tar.gz//"`
CGAL_RELEASE_ID=$(echo "$CGAL_ZIPFILE" | sed "s/.tar.gz//")
curl ${CURL_OPTS} "${CGAL_LOCATION}"
tar xvzf "${CGAL_ZIPFILE}" && rm "${CGAL_ZIPFILE}"
@@ -60,11 +68,16 @@ cd "${CGAL_RELEASE_ID}"
PATH=/home/cgal-testsuite/local/bin:$PATH
export PATH
cd "$PWD/doc/scripts"
cd "${PWD}/doc/scripts"
bash -$- ./process_doc.sh /home/cgal-testsuite/bin/doxygen_1_8_13 /home/cgal-testsuite/bin/doxygen_1_9_6 /srv/CGAL/www/Members/Manual_doxygen_test
if head -2 ../../.scm-branch | grep -q cgal/master; then
rsync -a --delete "/srv/CGAL/www/Members/Manual_doxygen_test/${CGAL_RELEASE_ID}/output2/" /srv/CGAL/www/doc/master/
fi
if sestatus &>/dev/null && [ -d "/srv/CGAL/www/doc/master/" ] && [ -d "/srv/CGAL/www/Members/Manual_doxygen_test/${CGAL_RELEASE_ID}" ]; then
restorecon -R /srv/CGAL/www/doc/master/ /srv/CGAL/www/Members/Manual_doxygen_test/${CGAL_RELEASE_ID} || error "restorecon command failed"
else
error "SELinux is not enabled or the paths do not exist"
fi
rm -rf "${CGAL_DOC_BUILD}"
# Then gzip the log file, to save space
exec